<section id="home">
    <div class="container-fluid containerMargin">
      <div class="row">
        <div class="col-md-12 col-sm-12">
          <h2 class="h2-header">
            Fitness Session Configuration 
            <button type="button" ng-disabled="!(trainingProgram && selectedUser)" class="btn btn-default actionButton" style="float: right;" ng-click="goToRun()">
              <span class="glyphicon glyphicon-chevron-right button-icon" aria-hidden="true"></span>
              Next
            </button>
          </h2>
        </div> <!-- /col -->
      </div> <!-- /row-->
      <form class="form-horizontal" ng-show="!showUserInput">
        <div class="form-group">
          <label class="col-md-2 col-sm-3 control-label">User Name:</label>
          <div class="col-md-3 col-sm-3"> <!-- nested col -->
            <select class="form-control" ng-class="{'focusedInput':!selectedUser}" ng-model="selectedUser">
              <option ng-repeat="user in userList" ng-value="user">{{user.name}}</option>
            </select>
          </div> <!-- / nested col -->
          <div class="col-md-5 col-sm-5 col-md-offset-1 col-sm-offset-1"> <!-- nested col -->
            <button type="button" class="btn btn-default actionButton" ng-click="toggleUserCreation(true)">
              <span class="glyphicon glyphicon-plus button-icon" aria-hidden="true"></span>
              Create
            </button>
            <button type="button" class="btn btn-default actionButton" ng-click="goToHistory()"
                    ng-disabled="!selectedUser" style="margin-left: 15px;">
              <span class="glyphicon glyphicon-time button-icon" aria-hidden="true"></span>
              History
            </button>
            <button type="button" class="btn btn-default actionButton" ng-click="removeUser()"
                    ng-disabled="!selectedUser" style="margin-left: 15px;">
              <span class="glyphicon glyphicon-remove button-icon" aria-hidden="true"></span>
              Remove
            </button>
          </div> <!-- / nested col -->
        </div> <!-- /form-group -->
      </form>
      <form class="form-horizontal" ng-show="showUserInput">
        <div class="form-group">
          <label class="col-md-2 col-sm-3 control-label">User Name:</label>
          <div class="col-md-3 col-sm-3"> <!-- nested col -->
            <input type="text" class="form-control" placeholder="ex: User1" ng-model="newUser.name">
          </div> <!-- / nested col -->
          <div class="col-md-5 col-sm-5 col-md-offset-1 col-sm-offset-1" ng-if="showUserInput"> <!-- nested col -->
            <button type="button" class="btn btn-default actionButton" ng-click="addUser()">
              <span class="glyphicon glyphicon-plus button-icon" aria-hidden="true"></span>
              Add User
            </button>
            <button type="button" class="btn btn-default actionButton" ng-click="toggleUserCreation(false)"
                    style="margin-left: 15px;">
              <span class="glyphicon glyphicon-remove button-icon" aria-hidden="true"></span>
              Cancel
            </button>
          </div> <!-- / nested col -->
        </div> <!-- /form-group -->
      </form>
      <form class="form-horizontal">
        <div class="form-group">
          <label class="col-md-2 col-sm-3 control-label">Training Program:</label>
          <div class="col-md-3 col-sm-3"> <!-- nested col -->
            <select class="form-control" ng-class="{'focusedInput':!selectedProgramIndex}"
                    ng-model="selectedProgramIndex" ng-change="updateTrainingProgram()"
                    ng-disabled="!(programList.length > 0)">
              <option ng-repeat="program in programList" ng-value="$index">{{program.name}}</option>
            </select>
          </div> <!-- / nested col -->
          <div class="col-md-5 col-sm-5 col-md-offset-1 col-sm-offset-1"> <!-- nested col -->
            <button type="button" class="btn btn-default actionButton" ng-click="goToProgramEdition(true)">
              <span class="glyphicon glyphicon-plus button-icon" aria-hidden="true"></span>
              Create
            </button>
            <button type="button" class="btn btn-default actionButton" style="margin-left: 15px;"
                    ng-click="goToProgramEdition(false)" ng-disabled="selectedProgramIndex == null">
              <span class="glyphicon glyphicon-edit button-icon" aria-hidden="true"></span>
              Edit
            </button>
            <button type="button" class="btn btn-default actionButton" style="margin-left: 15px;"
                    ng-click="deleteProgram()" ng-disabled="selectedProgramIndex == null">
              <span class="glyphicon glyphicon-remove button-icon" aria-hidden="true"></span>
              Remove
            </button>
          </div> <!-- /nested col -->
        </div> <!-- /form-group -->
      </form>
      <div class="row" ng-if="trainingProgram">
        <div class="col-md-6 col-sm-6">
          <h3>Selected Program : {{trainingProgram.name}}</h3>
        </div> <!-- /col -->
      </div> <!-- /row-->
      <div class="row" ng-if="trainingProgram" style="padding-top: 10px;">
        <div class="col-md-6 col-sm-6">
          <label>Program Details:</label>
          <div class="list-group programListSmall">
            <div class="list-group-item type-{{exercise.type}} exerciseListItem" ng-repeat="exercise in trainingProgram.exercises">
              <h4 class="list-group-item-heading">{{exercise.id}} <span style="float:right;">{{exercise.time | secondsToDateTime | date:'mm:ss'}}</span></h4>
              <p class="list-group-item-text descriptionTextBox">{{exercise.description}}</p>
            </div>
          </div>
        </div> <!-- /col -->
        <div class="col-md-6 col-sm-6">
          <div class="row"> <!-- nested row -->
            <div class="col-md-12 col-sm-12"> <!-- nested col -->
              <label>Estimated Time: {{trainingProgram.totalTime | secondsToDateTime | date:'HH:mm:ss'}}</label>  
            </div> <!-- /nested col -->
          </div> <!-- /nested row-->
          <div class="row"> <!-- nested row -->
            <div class="col-md-2 col-sm-4"> <!-- nested col -->
              <label>Types:</label>
            </div> <!-- /nested col -->
            <div class="col-md-10 col-sm-8"> <!-- nested col -->
              <span class="typeLabel type-{{type.id}}"  ng-if="type.qty > 0" style="margin-bottom: 5px;" ng-repeat="type in trainingProgram.types">
                {{type.id}} <span class="badge">{{type.qty}}</span>
              </span>  
            </div> <!-- /nested col -->
          </div> <!-- /nested row-->
          <div class="row"> <!-- nested row -->
            <div class="col-md-3 col-sm-5"> <!-- nested col -->
              <label>Description:</label>
            </div> <!-- /nested col -->
            <div class="col-md-9 col-sm-7"> <!-- nested col -->
              {{trainingProgram.description}}
            </div> <!-- /nested col -->
          </div> <!-- /nested row-->
        </div> <!-- /col -->
      </div> <!-- /row-->
    </div> <!-- container -->
</section>